Package org.apache.commons.math3.analysis

# Interface TrivariateFunction

All Known Implementing Classes:
  `TricubicInterpolatingFunction`, `TricubicSplineInterpolatingFunction`

public interface TrivariateFunction
An interface representing a trivariate real function.

Since:
  2.2

## Method Summary

Modifier and Type
Method
Description
`double`
`value(double x, double y, double z)`
Compute the value for the function.

## Method Details

### value

double value(double x, double y, double z)
Compute the value for the function.

Parameters:
  `x` - x-coordinate for which the function value should be computed.
  `y` - y-coordinate for which the function value should be computed.
  `z` - z-coordinate for which the function value should be computed.
Returns:
  the value.